#
# Conditional build:
%bcond_without	apidocs	# disable gtk-doc
%bcond_without	asyncns	# libasyncns support
%bcond_without	ssl	# SSL support
%bcond_with	openssl	# OpenSSL instead of GnuTLS for SSL

%if %{with ssl} && %{without openssl}
%define	with_gnutls	1
%endif
%if %{without ssl}
%undefine	with_openssl
%endif
Summary:	Loudmouth - a Jabber library written in C
Summary(pl.UTF-8):	Loudmouth - biblioteka do obsługi protokołu Jabber napisana w C
Name:		loudmouth
Version:	1.5.4
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	https://mcabber.com/files/loudmouth/%{name}-%{version}.tar.bz2
# Source0-md5:	59c9f9f8e6231f38e18876447c608620
Patch0:		%{name}-link.patch
URL:		https://github.com/mcabber/loudmouth/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	glib2-devel >= 1:2.38.0
%{?with_gnutls:BuildRequires:	gnutls-devel >= 3.0.20}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.14}
BuildRequires:	heimdal-devel
%{?with_asyncns:BuildRequires:	libasyncns-devel >= 0.3}
BuildRequires:	libidn-devel
BuildRequires:	libtool
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.38.0
%{?with_gnutls:Requires:	gnutls >= 3.0.20}
%{?with_asyncns:Requires:	libasyncns >= 0.3}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Loudmouth is a lightweight and easy-to-use C library for programming
with the Jabber protocol. It's designed to be easy to get started with
and yet extensible to let you do anything the Jabber protocol allows.

%description -l pl.UTF-8
Loudmouth jest lekką i łatwą w obsłudze biblioteką napisaną w języku
C. Służy do obsługi protokołu Jabber. Została zaprojektowana z
naciskiem na prostotę obsługi, pozwala używać wszystkich możliwości
protokołu Jabber.

%package devel
Summary:	Header files and development documentation for Loudmouth library
Summary(pl.UTF-8):	Pliki nagłówkowe Loudmouth, dokumentacja dla programistów
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
%{?with_asyncns:Requires:	libasyncns-devel >= 0.3}
Requires:	libidn-devel

%description devel
This package provides the necessary header files to allow you to
develop with Loudmouth.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe potrzebne do tworzenia oprogramowania
z wykorzystaniem Loudmouth.

%package static
Summary:	Static libraries for developing with Loudmouth
Summary(pl.UTF-8):	Statyczne biblioteki Loudmouth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static version of Loudmouth libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek Loudmouth.

%package apidocs
Summary:	Loudmouth library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Loudmouth
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
Loudmouth library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Loudmouth.

%prep
%setup -q
%patch0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# default value for with-compile-warnings is "error", which breaks build on glib deprecations
%configure \
	%{?with_asyncns:--with-asyncns} \
	--with-compile-warnings=yes \
	%{!?with_ssl:--without-ssl} \
	%{?with_openssl:--with-ssl=openssl} \
	--enable-gtk-doc%{!?with_apidocs:=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir}

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libloudmouth-1.la

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libloudmouth-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libloudmouth-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libloudmouth-1.so
%{_pkgconfigdir}/loudmouth-1.0.pc
%{_includedir}/loudmouth-1.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libloudmouth-1.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/loudmouth
%endif
%changelog
* Fri Jun 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/loudmouth.git;a=log;h=master

* Fri Jun 02 2023 Jakub Bogusz <qboosh@pld-linux.org> eccd983
- updated to 1.5.4; enhanced link patch to fix apidocs helper linking

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 246f035
- unconditional noarch subpackages

* Thu Jul 23 2020 Jakub Bogusz <qboosh@pld-linux.org> d7959d0
- switched to maintained mcabber fork, updated tl 1.5.3
- updated link patch
- removed outdated async_crash,use-gnutls-pc,glib,gnutls patches
- drop .la file

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> adbb729
- release 9 (by relup.sh)

* Fri Nov 23 2018 Adam Gołębiowski <adamg@pld-linux.org> 1088b8a
- release 8, call gtkdocize

* Sat Apr 08 2017 Jan Rękorajski <baggins@pld-linux.org> ee490d6
- rebuild with gnutls 3.5
- release 7 (by relup.sh)

* Fri Mar 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 7e034b2
- added gnutls patch (fixes build with gnutls 3.4+)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> d6b415b
- noarch apidocs

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> cebdb35
- x32 rebuild
- release 5 (by relup.sh)

* Sat Nov 09 2013 Jakub Bogusz <qboosh@pld-linux.org> 21981cd
- added glib patch (fixes build with recent glib)
- added link patch (avoid unnecessary linking, like -lnsl)
- updated gnutls version

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 40530d6
- release 4

* Sat Oct 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> ebd1785
- added -use-gnutls-pc.patch
- release 3

* Sat Oct 24 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 4090b41
- use gnutls.pc instead of libgnutls-config

* Fri Oct 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> 3586f03
- added -async_crash.patch
- release 2

* Fri Oct 23 2009 Marcin Banasiak <marcin.banasiak@gmail.com> a30466b
- don't check for sync dns problems when using asyncns

* Sun Nov 02 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ffd1233
- updated to 1.4.3

* Mon Oct 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3683215
- updated to 1.4.2

* Mon Jul 21 2008 aredridel <aredridel@pld-linux.org> b877dc5
- build with asyncns option

* Sun Jun 08 2008 Patryk Zawadzki <patrys@room-303.com> b37d9ae
- 1.4.0

* Thu May 08 2008 wrobell <wrobell@pld-linux.org> 258573a
- ver. 1.3.4

